summaryrefslogtreecommitdiff
path: root/mipsrelease
diff options
context:
space:
mode:
authorJoshua Ismael Haase Hernandez <hahj87@gmail.com>2011-03-25 07:09:23 -0700
committerJoshua Ismael Haase Hernandez <hahj87@gmail.com>2011-03-25 07:09:23 -0700
commit691baba22e7fb1fe47005558ca92e540566fe383 (patch)
tree8fc6367afbe472c51664ff2edf0310715b8712dd /mipsrelease
parent5f47cf2a8f096f284bb1a9278fa676960ae65847 (diff)
Added libremessages and format in scripts
Diffstat (limited to 'mipsrelease')
-rwxr-xr-xmipsrelease20
1 files changed, 16 insertions, 4 deletions
diff --git a/mipsrelease b/mipsrelease
index 82cd51f..46c02ce 100755
--- a/mipsrelease
+++ b/mipsrelease
@@ -4,14 +4,26 @@
source /etc/makepkg.conf
source /etc/libretools.conf
+trap_not_uploaded () {
+
+}
+
+msg "Uploading packages"
for pkg in $@; do
- scp $pkg ${PARABOLAHOST}:mips64el/stage3/
+ msg2 "$pkg"
+ scp $pkg ${PARABOLAHOST}:mips64el/stage3/ ||{
+ error "Failed to upload ${pkg}"
+ plain "Try running this command again:"
+ echo
+ plain "$0 $@"
+ exit 1
+}
done
scp ${PARABOLAHOST}:mips64el/stage3/stage3.db.tar.gz ${SRCDEST}/ && \
repo-add ${SRCDEST}/stage3.db.tar.gz $@ && \
-scp ${SRCDEST}/stage3.db.tar.gz ${PARABOLAHOST}:mips64el/stage3/
-
-#ssh parabola bash -c "cd /home/parabolavnx/mips64el/stage3/ ; repo-add stage3.db.tar.gz $@"
+scp ${SRCDEST}/stage3.db.tar.gz ${PARABOLAHOST}:mips64el/stage3/ || {
+ error "Could not update db"
+}
exit $?